Get Waba Info

The API provides an overview of WABA health.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key               | Description                                              | Constraints                                                              |
| :---------------- | :------------------------------------------------------- | :----------------------------------------------------------------------- |
| PARTNER_APP_TOKEN | App Access Token issues post Partner login               | Should be a valid Partner app access token belonging to the passed appId |
| appId             | App Id for the app that is linked to the Partner Account |                                                                          |

## Sample Request

```curl
curl --location --request GET '{{partner_portal_base_url}}/partner/app/:appId/waba/info' \
--header 'token: {{PARTNER_APP_TOKEN}}' \

Sample Response

{
    "status": "success",
    "wabaInfo": {
        "accountStatus": "ACTIVE | BANNED",
        "dockerStatus": "CONNECTED | DISCONNECTED | FLAGGED | PENDING | RESTRICTED | UNKNOWN",
        "messagingLimit": "TIER_50 | TIER_250 | TIER_1K | TIER_10K | TIER_100K | TIER_NOT_SET | TIER_UNLIMITED",
        "phone": "{phone}",
        "phoneQuality": "GREEN | YELLOW | RED | UNKNOWN",
        "wabaId": "{waba_id}",
        "canSendMessage" : "AVAILABLE | LIMITED | BLOCKED",
        "errors": [
            {
                "error_code": "141014",
                "error_description": "<error description>",
                "possible_solution": "<posible solution>"
            }
        ],
        "additionalInfo": [
            "Your display name has not been approved yet. Your message limit will increase after the display name is approved."
        ]
    }
}

Status Codes

Status CodeResponseComments
Success
200{ "wabaInfo": { "accountStatus": "ACTIVE", "dockerStatus": "CONNECTED", "messagingLimit": "TIER_1K", "phone": "917835039205", "phoneQuality": "GREEN", "wabaId": "116676371511027", "canSendMessage": "LIMITED", "additionalInfo": [ "Your display name has not been approved yet. Your message limit will increase after the display name is approved." ] }, "status": "success" }if canSendMessage is LIMITED
200{ "wabaInfo": { "accountStatus": "ACTIVE", "dockerStatus": "CONNECTED", "messagingLimit": "TIER_1K", "phone": "918375031069", "phoneQuality": "GREEN", "wabaId": "216141188246170", "canSendMessage": "AVAILABLE" }, "status": "success" }if canSendMessage is AVAILABLE
200{ "wabaInfo": { "accountStatus": "ACTIVE", "dockerStatus": "PENDING", "phone": "918657864833", "phoneQuality": "UNKNOWN", "wabaId": "101256882767341", "canSendMessage": "BLOCKED", "errors": [ { "error_code": "141001", "error_description": "The phone number you are trying to send messages with is not verified.", "possible_solution": "Register and finish the OTP authentication process for your phone number." }, { "error_code": "141000", "error_description": "The phone number you are trying to send messages from is not linked to your WhatsApp account.", "possible_solution": "Register and finish the OTP authentication process for your phone number." } ] }, "status": "success" }if canSendMessage is BLOCKED
Error
400{ "message": "App is not live.", "status": "error" }If app is not live
400{ "message": "Waba id not found for the given App", "status": "error" }If waba id is not present in DB
400{ "message": "WABA id is invalid or given phone is not associated with WABA", "status": "error" }If waba id present in DB is not correct
400{ "message": "Error while getting waba info for given app", "status": "error" }
401{ "message": "Authentication Failed", "status": "error" }
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal Server Error" }For any Internal Error
Path Params
string
required

Unique identifier of the app.

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json